<?php

namespace Drupal\Tests\sqlsrv\Kernel;

use Drupal\Core\Database\Database;
use Drupal\KernelTests\Core\Database\DatabaseTestBase;

/**
 * TestBase for Sqlsrv Tests.
 *
 * @group Database
 */
abstract class SqlsrvTestBase extends DatabaseTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = ['sqlsrv'];

  /**
   * {@inheritdoc}
   *
   * Skip any kernel tests if not running on the correct database.
   */
  protected function setup() {
    parent::setup();
    if (Database::getConnection()->databaseType() !== 'sqlsrv') {
      $this->markTestSkipped("This test only runs for MS SQL Server");
    }
  }

}
